package com.yonge.cooleshow.biz.dal.dto.search;

import com.yonge.cooleshow.biz.dal.enums.ClientEnum;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * Description 学生查询乐谱
 *
 * @author liujunchi
 * @date 2022-04-01
 */
public class StudentMusicSheetSearch  extends MusicSheetSearch{


    @ApiModelProperty(value = "登录学生id",hidden = true)
    private Long studentId;

    @ApiModelProperty("曲目分页参数")
    private Integer sheetRow = 10;

    @ApiModelProperty("专辑分页参数")
    private Integer albumRow = 3;

    @ApiModelProperty(value = "用户类型",hidden = true)
    private ClientEnum userType;


    @ApiModelProperty(value = "是否审核时可见 （0:否  1：是）",hidden = true)
    private YesOrNoEnum auditVersion;

    @ApiModelProperty(value = "版本号")
    private String version;

    @ApiModelProperty(value = "平台")
    private String platform;


    @ApiModelProperty(value = "查看我自己的曲目",required = true)
    private Boolean myself = true;

    public ClientEnum getUserType() {
        return userType;
    }

    public void setUserType(ClientEnum userType) {
        this.userType = userType;
    }

    public Boolean getMyself() {
        return myself;
    }

    public void setMyself(Boolean myself) {
        this.myself = myself;
    }

    public YesOrNoEnum getAuditVersion() {
        return auditVersion;
    }

    public void setAuditVersion(YesOrNoEnum auditVersion) {
        this.auditVersion = auditVersion;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public Integer getSheetRow() {
        return sheetRow;
    }

    public void setSheetRow(Integer sheetRow) {
        this.sheetRow = sheetRow;
    }

    public Integer getAlbumRow() {
        return albumRow;
    }

    public void setAlbumRow(Integer albumRow) {
        this.albumRow = albumRow;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }
}
